org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizardModelRedaction<T>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelAbstract<T>
  - - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelRedaction<T>

Type Parameters:
  `T` -

    public class HierarchyWizardModelRedaction<T>
    extends HierarchyWizardModelAbstract<T>

A model for redaction-based builders.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`HierarchyWizardModelRedaction(DataType<T> dataType, java.lang.String[] data)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`HierarchyBuilderRedactionBased.Order` `getAlignmentOrder()` Returns the alignment order.
`java.lang.Integer` `getAlphabetSize()`
`HierarchyBuilderRedactionBased<T>` `getBuilder(boolean serializable)` Returns the builder currently configured.
`java.lang.Integer` `getDomainSize()`
`java.lang.Integer` `getMaxValueLength()`
`char` `getPaddingCharacter()` Returns the padding character.
`char` `getRedactionCharacter()` Returns the redaction parameter.
`HierarchyBuilderRedactionBased.Order` `getRedactionOrder()` Returns the redaction order.
`void` `parse(HierarchyBuilder<T> _builder)` Parses a builder and updates the model accordingly.
`void` `setAlignmentOrder(HierarchyBuilderRedactionBased.Order alignmentOrder)` Sets the alignment order.
`void` `setAlphabetSize(java.lang.Integer alphabetSize)`
`void` `setDomainSize(java.lang.Integer domainSize)`
`void` `setMaxValueLength(java.lang.Integer maxValueLength)`
`void` `setPaddingCharacter(char paddingCharacter)` Sets the padding character.
`void` `setRedactionCharacter(char redactionCharacter)` Sets the redaction character.
`void` `setRedactionOrder(HierarchyBuilderRedactionBased.Order redactionOrder)` Sets the redaction order.
`void` `updateUI(HierarchyWizard.HierarchyWizardView sender)` Updates all UI components apart from the sender

### Methods inherited from class org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizardModelAbstract

`getData, getError, getGroups, getHierarchy, setView, update`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HierarchyWizardModelRedaction

    public HierarchyWizardModelRedaction(DataType<T> dataType,
                                         java.lang.String[] data)

Creates a new instance.

Parameters:
  `dataType` -
  `data` -

### Method Detail

#### getAlignmentOrder

    public HierarchyBuilderRedactionBased.Order getAlignmentOrder()

Returns the alignment order.

Returns:

#### getAlphabetSize

    public java.lang.Integer getAlphabetSize()

Returns:
  the alphabetSize

#### getBuilder

    public HierarchyBuilderRedactionBased<T> getBuilder(boolean serializable)

Description copied from class: `HierarchyWizardModelAbstract`
Returns the builder currently configured.

Specified by:
  `getBuilder` in class `HierarchyWizardModelAbstract<T>`
Returns:

#### getDomainSize

    public java.lang.Integer getDomainSize()

Returns:
  the domainSize

#### getMaxValueLength

    public java.lang.Integer getMaxValueLength()

Returns:
  the maxValueLength

#### getPaddingCharacter

    public char getPaddingCharacter()

Returns the padding character.

Returns:

#### getRedactionCharacter

    public char getRedactionCharacter()

Returns the redaction parameter.

Returns:

#### getRedactionOrder

    public HierarchyBuilderRedactionBased.Order getRedactionOrder()

Returns the redaction order.

Returns:

#### parse

    public void parse(HierarchyBuilder<T> _builder)

Description copied from class: `HierarchyWizardModelAbstract`
Parses a builder and updates the model accordingly.

Specified by:
  `parse` in class `HierarchyWizardModelAbstract<T>`

#### setAlignmentOrder

    public void setAlignmentOrder(HierarchyBuilderRedactionBased.Order alignmentOrder)

Sets the alignment order.

Parameters:
  `alignmentOrder` -

#### setAlphabetSize

    public void setAlphabetSize(java.lang.Integer alphabetSize)

Parameters:
  `alphabetSize` - the alphabetSize to set

#### setDomainSize

    public void setDomainSize(java.lang.Integer domainSize)

Parameters:
  `domainSize` - the domainSize to set

#### setMaxValueLength

    public void setMaxValueLength(java.lang.Integer maxValueLength)

Parameters:
  `maxValueLength` - the maxValueLength to set

#### setPaddingCharacter

    public void setPaddingCharacter(char paddingCharacter)

Sets the padding character.

Parameters:
  `paddingCharacter` -

#### setRedactionCharacter

    public void setRedactionCharacter(char redactionCharacter)

Sets the redaction character.

Parameters:
  `redactionCharacter` -

#### setRedactionOrder

    public void setRedactionOrder(HierarchyBuilderRedactionBased.Order redactionOrder)

Sets the redaction order.

Parameters:
  `redactionOrder` -

#### updateUI

    public void updateUI(HierarchyWizard.HierarchyWizardView sender)

Description copied from class: `HierarchyWizardModelAbstract`
Updates all UI components apart from the sender

Specified by:
  `updateUI` in class `HierarchyWizardModelAbstract<T>`